Bug 102273 - [audio/herrie] Bump to 0.2
Summary: [audio/herrie] Bump to 0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-19 15:30 UTC by Ed Schouten
Modified: 2006-08-31 13:12 UTC (History)
0 users

See Also:


Attachments
file.diff (2.50 KB, patch)
2006-08-19 15:30 UTC, Ed Schouten
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Schouten 2006-08-19 15:30:13 UTC
A new version of the Herrie audio player is available. This version has
a lot of useful changes, including:

- The addition of a manual page.
- Usage of glib, resulting in a more portable (and safer) application.
- Improved threading, removing the need of semaphores. This makes Herrie
  work out of the box on FreeBSD. sem(4) is not needed anymore.
- AudioScrobbler, using libcurl.

Fix: The patch below bumps the port to 0.2:

%%%
How-To-Repeat: n/a
Comment 1 Ed Schouten 2006-08-19 16:28:47 UTC
Ouch!

Looks like the latest Herrie doesn't build on FreeBSD 4.x because of a
missing #include. Please use the following patch:

%%%
--- herrie/Makefile	Tue Aug  1 22:05:31 2006
+++ herrie/Makefile	Sat Aug 19 17:24:16 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	herrie
-PORTVERSION=	0.1
+PORTVERSION=	0.2
 CATEGORIES=	audio
 MASTER_SITES=	http://www.il.fontys.nl/~ed/projects/herrie/distfiles/ \
 		http://www.stack.nl/~ed/projects/herrie/distfiles/
@@ -14,19 +14,42 @@
 MAINTAINER=	ed@fxq.nl
 COMMENT=	A small command line interface music player
 
-LIB_DEPENDS=	vorbis.3:${PORTSDIR}/audio/libvorbis \
-		mad.2:${PORTSDIR}/audio/mad \
-		sndfile.1:${PORTSDIR}/audio/libsndfile
-
-GNU_CONFIGURE=	yes
-CONFIGURE_ENV+=	CFLAGS="${PTHREAD_CFLAGS} -I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
+USE_GNOME=	glib20
+USE_OPENSSL=	yes
+USE_GMAKE=	yes
+MAKEFILE=	GNUmakefile
+ALL_TARGET=	herrie
+WRKSRC=		${WRKDIR}/${DISTNAME}/src
+
+OPTIONS=	MAD "MAD MP3 support" on \
+		VORBIS "Ogg Vorbis support" on \
+		SNDFILE "libsndfile support" off \
+		SCROBBLER "AudioScrobbler support" on
 
 PLIST_FILES=	bin/herrie
+MAN1=		herrie.1
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} < 500000
-IGNORE=		doesn't like 4.x thread libs
+.if !defined(WITHOUT_MAD)
+LIB_DEPENDS+=	mad.2:${PORTSDIR}/audio/mad
+.else
+MAKE_ENV+=	NO_MP3=yes
+.endif
+.if !defined(WITHOUT_VORBIS)
+LIB_DEPENDS+=	vorbis.3:${PORTSDIR}/audio/libvorbis
+.else
+MAKE_ENV+=	NO_VORBIS=yes
+.endif
+.if !defined(WITHOUT_SNDFILE)
+LIB_DEPENDS+=	sndfile.1:${PORTSDIR}/audio/libsndfile
+.else
+MAKE_ENV+=	NO_SNDFILE=yes
+.endif
+.if !defined(WITHOUT_SCROBBLER)
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+.else
+MAKE_ENV+=	NO_SCROBBLER=yes
 .endif
 
 .include <bsd.port.post.mk>
--- herrie/distinfo	Tue Aug  1 22:05:31 2006
+++ herrie/distinfo	Sat Aug 19 17:24:25 2006
@@ -1,3 +1,3 @@
-MD5 (herrie-0.1.tar.gz) = 895e18c071d41beef6b9806bfb7c97c7
-SHA256 (herrie-0.1.tar.gz) = b0858b939575155bb6b6da8160b27459099aa11d002564f40520edf106a8965e
-SIZE (herrie-0.1.tar.gz) = 128954
+MD5 (herrie-0.2.tar.gz) = dd29736faeae572bd4f21ea5b3fa9fb3
+SHA256 (herrie-0.2.tar.gz) = 6344d8471ddb1adb12cea5baa034bd064ecc7692ad8cc8a804d1d807b44be0f0
+SIZE (herrie-0.2.tar.gz) = 37705
--- herrie/files/patch-scrobbler_hash.c	Thu Jan  1 01:00:00 1970
+++ herrie/files/patch-scrobbler_hash.c	Sat Aug 19 17:25:52 2006
@@ -0,0 +1,10 @@
+--- scrobbler/scrobbler_hash.c	Sat Aug 19 15:52:12 2006
++++ scrobbler/scrobbler_hash.c	Sat Aug 19 17:25:13 2006
+@@ -29,6 +29,7 @@
+  * @file scrobbler/scrobbler_hash.c
+  */
+ 
++#include <sys/types.h>
+ #include <openssl/md5.h>
+ 
+ #include <scrobbler/scrobbler.h>
--- herrie/pkg-descr	Tue Aug  1 22:05:31 2006
+++ herrie/pkg-descr	Sat Aug 19 17:24:25 2006
@@ -1,5 +1,6 @@
 Herrie is a small command line music player. It has vim-like controls
 and has some unique features, like chroot()'ing and dropping privileges.
-This makes it an ideal application for low-end jukeboxes.
+It also supports submission of songs to AudioScrobbler. This makes it an
+ideal application for low-end jukeboxes.
  
 WWW: http://g-rave.nl/projects/herrie/
%%%

Yours,
-- 
 Ed Schouten <ed@fxq.nl>
 WWW: http://g-rave.nl/
Comment 2 Ed Schouten 2006-08-28 20:31:11 UTC
Hello,

In the mean time Herrie got bumped to 0.3. Version 0.3 fixes a lot of
small bugs, including compilation on FreeBSD 4.x. Also the support for
libsndfile got improved.

%%%
--- audio/herrie/Makefile	Tue Aug  1 22:05:31 2006
+++ audio/herrie/Makefile	Mon Aug 28 21:27:37 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	herrie
-PORTVERSION=	0.1
+PORTVERSION=	0.3
 CATEGORIES=	audio
 MASTER_SITES=	http://www.il.fontys.nl/~ed/projects/herrie/distfiles/ \
 		http://www.stack.nl/~ed/projects/herrie/distfiles/
@@ -14,19 +14,42 @@
 MAINTAINER=	ed@fxq.nl
 COMMENT=	A small command line interface music player
 
-LIB_DEPENDS=	vorbis.3:${PORTSDIR}/audio/libvorbis \
-		mad.2:${PORTSDIR}/audio/mad \
-		sndfile.1:${PORTSDIR}/audio/libsndfile
-
-GNU_CONFIGURE=	yes
-CONFIGURE_ENV+=	CFLAGS="${PTHREAD_CFLAGS} -I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
+USE_GNOME=	glib20
+USE_GMAKE=	yes
+MAKEFILE=	GNUmakefile
+ALL_TARGET=	herrie
+WRKSRC=		${WRKDIR}/${DISTNAME}/src
+
+OPTIONS=	MAD "MAD MP3 support" on \
+		VORBIS "Ogg Vorbis support" on \
+		SNDFILE "libsndfile support" off \
+		SCROBBLER "AudioScrobbler support" on
 
 PLIST_FILES=	bin/herrie
+MAN1=		herrie.1
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} < 500000
-IGNORE=		doesn't like 4.x thread libs
+.if !defined(WITHOUT_MAD)
+LIB_DEPENDS+=	mad.2:${PORTSDIR}/audio/mad
+.else
+MAKE_ENV+=	NO_MP3=yes
+.endif
+.if !defined(WITHOUT_VORBIS)
+LIB_DEPENDS+=	vorbis.3:${PORTSDIR}/audio/libvorbis
+.else
+MAKE_ENV+=	NO_VORBIS=yes
+.endif
+.if !defined(WITHOUT_SNDFILE)
+LIB_DEPENDS+=	sndfile.1:${PORTSDIR}/audio/libsndfile
+.else
+MAKE_ENV+=	NO_SNDFILE=yes
+.endif
+.if !defined(WITHOUT_SCROBBLER)
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+USE_OPENSSL=	yes
+.else
+MAKE_ENV+=	NO_SCROBBLER=yes
 .endif
 
 .include <bsd.port.post.mk>
--- audio/herrie/distinfo	Tue Aug  1 22:05:31 2006
+++ audio/herrie/distinfo	Mon Aug 28 21:27:48 2006
@@ -1,3 +1,3 @@
-MD5 (herrie-0.1.tar.gz) = 895e18c071d41beef6b9806bfb7c97c7
-SHA256 (herrie-0.1.tar.gz) = b0858b939575155bb6b6da8160b27459099aa11d002564f40520edf106a8965e
-SIZE (herrie-0.1.tar.gz) = 128954
+MD5 (herrie-0.3.tar.gz) = b12c8552922ec9ef3dc66b4dacfc48a9
+SHA256 (herrie-0.3.tar.gz) = e95714bf136b46f3ff593e3e33c21a99d078fe0465a92fd2555a88173e4f4d69
+SIZE (herrie-0.3.tar.gz) = 37967
--- audio/herrie/pkg-descr	Tue Aug  1 22:05:31 2006
+++ audio/herrie/pkg-descr	Mon Aug 28 21:27:04 2006
@@ -1,5 +1,6 @@
 Herrie is a small command line music player. It has vim-like controls
 and has some unique features, like chroot()'ing and dropping privileges.
-This makes it an ideal application for low-end jukeboxes.
+It also supports submission of songs to AudioScrobbler. This makes it an
+ideal application for low-end jukeboxes.
  
 WWW: http://g-rave.nl/projects/herrie/
%%%

Yours,
-- 
 Ed Schouten <ed@fxq.nl>
 WWW: http://g-rave.nl/
Comment 3 Emanuel Haupt freebsd_committer 2006-08-30 18:14:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 4 Emanuel Haupt freebsd_committer 2006-08-30 18:24:59 UTC
State Changed
From-To: open->feedback

Awaiting feedback from maintainer.
Comment 5 Emanuel Haupt freebsd_committer 2006-08-31 13:12:16 UTC
State Changed
From-To: feedback->closed

Committed, thanks!